Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class LscpException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.linuxsampler.lscp.LscpException

All Implemented Interfaces:
  java.io.Serializable

    public class LscpException

extends java.lang.Exception

Thrown to indicate unexpected error in the LinuxSampler control protocol.

See Also:
  Serialized Form

Constructor Summary
`LscpException()` Creates a new instance of LscpException with empty detail message.
`LscpException(java.lang.String msg)` Creates a new instance of LscpException with the specified detail message.
`LscpException(java.lang.String msg, java.lang.Throwable cause)` Creates a new instance of LscpException with the specified detail message and cause.
`LscpException(java.lang.Throwable cause)` Creates a new instance of LscpException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LscpException

    public LscpException()

  Creates a new instance of LscpException with empty detail message.

### LscpException

    public LscpException(java.lang.String msg)

  Creates a new instance of LscpException with the specified detail message.

  Parameters:
    `msg` - The detail message.

### LscpException

    public LscpException(java.lang.Throwable cause)

  Creates a new instance of LscpException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.

  Parameters:
    `cause` - The cause.

### LscpException

    public LscpException(java.lang.String msg,
                         java.lang.Throwable cause)

  Creates a new instance of LscpException with the specified detail message and cause.

  Parameters:
    `msg` - The detail message.
    `cause` - The cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.